#!/bin/bash

. lib.sh

NO_GW_NEEDED=true

main() {
	ln -s ../user/*.txt .
}

#ADDITIONAL_PLOTS=detail

plot_cmds() {
    if [[ "$1" = detail ]]; then
	range=0.06:0.3
    else
	range=0.06:800
	echo "set logscale y"
    fi
    if [ -s user2-msgs.txt ]; then
	min=$(head -n 1 user2-msgs.txt | awk '{ print $2 }')
    else
	min=$(head -n 1 user8-msgs.txt | awk '{ print $2 }')
    fi
    cat <<EOF
set title "Single GW rule for all messages, no modifications"
set grid xtics ytics mytics lw 1, lw 0.5
set xlabel "Time [s]"
set ylabel "Latency [ms]"
plot [:] [$range] \
          "user2-msgs.txt" using (\$2-$min):(1000*\$14) with points title "Userspace GW, 2 byte messages", \
          "user8-msgs.txt" using (\$2-$min):(1000*\$14) with points title "Userspace GW, 8 byte messages", \
          "kern2-msgs.txt" using (\$2-$min):(1000*\$14) with points title "Kernel GW, 2 byte messages", \
          "kern8-msgs.txt" using (\$2-$min):(1000*\$14) with points title "Kernel GW, 8 byte messages"
EOF
}
    
test_end

